Konnekt / Impact Twin: Mac OS X version compatibility

Question

Which Mac OS X versions are theĀ Konnekt and Impact Twin audio interfaces compatible with?

Answer

Please refer to the TC NEAR download page.


Share this page